<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/Interact/Vehicles/ActionCarDoorsOutside.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/da4/_action_car_doors_outside_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionCarDoorsOutside.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/da4/_action_car_doors_outside_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d3/de4/class_action_car_doors_outside.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d3/de4/class_action_car_doors_outside.html">ActionCarDoorsOutside</a>: <a class="code hl_class" href="../../d0/d5b/class_action_interact_base.html">ActionInteractBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{   </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d3/de4/class_action_car_doors_outside.html#aa74988263a93581ce5fbb37cecbe6285">    3</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d3/de4/class_action_car_doors_outside.html#aa74988263a93581ce5fbb37cecbe6285">m_CommandUIDPerCrewIdx</a>[4];</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d3/de4/class_action_car_doors_outside.html#a779eb80f60dbca8df867c7cbe51b9c34">    4</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d3/de4/class_action_car_doors_outside.html#a779eb80f60dbca8df867c7cbe51b9c34">m_IsOpening</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d3/de4/class_action_car_doors_outside.html#aaaeaa8d298b659e751cd6bfeb10b61d2">    6</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/de4/class_action_car_doors_outside.html#aaaeaa8d298b659e751cd6bfeb10b61d2">ActionCarDoorsOutside</a>()</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    {</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONMOD_OPENDOORFW;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_ALL;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    }</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span> </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d3/de4/class_action_car_doors_outside.html#a946cf3da2b1f862a7a1fe6c87be46dcb">   12</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/de4/class_action_car_doors_outside.html#a946cf3da2b1f862a7a1fe6c87be46dcb">CreateConditionComponents</a>()</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    {</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a>     = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d7c/class_c_c_i_none.html">CCINone</a>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a>   = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/dbf/class_c_c_t_none.html">CCTNone</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    }</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d3/de4/class_action_car_doors_outside.html#aa95a134c0a093cd66cdc7576dd834eaa">   18</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/de4/class_action_car_doors_outside.html#aa95a134c0a093cd66cdc7576dd834eaa">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {       </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d6/d59/_action_base_8c.html#ab560637b7ea002abf6ec19ec9ec6b3c9">IsInReach</a>(player, target, <a class="code hl_class" href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a>.<a class="code hl_variable" href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">DEFAULT</a>))</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_class" href="../../de/d59/class_car_script.html">CarScript</a> car = null;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(car, target.GetParent()))</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            <a class="code hl_class" href="../../db/db6/class_car_door.html">CarDoor</a> carDoor = <a class="code hl_class" href="../../db/db6/class_car_door.html">CarDoor</a>.Cast(target.GetObject());</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            <span class="keywordflow">if</span> (carDoor)</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>            {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>                <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> selections = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a>();</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>                <span class="keywordtype">string</span> animSource = <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>                carDoor.GetActionComponentNameList(target.GetComponentIndex(), selections);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>                    </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>                <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; selections.Count(); i++)</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>                {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>                    animSource = car.<a class="code hl_function" href="../../de/d59/class_car_script.html#a6bf22c124c476b773765763750a8b30f">GetAnimSourceFromSelection</a>(selections[i]);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>                    <span class="keywordflow">if</span> (animSource != <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>                    {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>                        <span class="keywordtype">int</span> idx = car.<a class="code hl_function" href="../../de/d59/class_car_script.html#a3fac4dd673765f73f587d0b0557fc84f">GetSeatIndexFromDoor</a>(animSource);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>                        <span class="keywordflow">if</span> (idx != -1 &amp;&amp; !car.IsAreaAtDoorFree(idx))</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>                        {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>                            <span class="keywordflow">return</span> <span class="keyword">false</span>;   </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>                        }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>                            </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>                        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONMOD_OPENDOORFW;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>                            </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>                        <span class="keywordtype">float</span> animationPhase = car.GetAnimationPhase(animSource);   </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>                        <span class="keywordflow">return</span> (<a class="code hl_variable" href="../../d3/de4/class_action_car_doors_outside.html#a779eb80f60dbca8df867c7cbe51b9c34">m_IsOpening</a> &amp;&amp; animationPhase &lt;= 0.5 ) || ( !<a class="code hl_variable" href="../../d3/de4/class_action_car_doors_outside.html#a779eb80f60dbca8df867c7cbe51b9c34">m_IsOpening</a> &amp;&amp; animationPhase &gt; 0.5);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>                    }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>                }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../d3/de4/class_action_car_doors_outside.html#ab32a063c2efdf19973dd4a6b8fad1280">   64</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/de4/class_action_car_doors_outside.html#ab32a063c2efdf19973dd4a6b8fad1280">OnStartServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <a class="code hl_class" href="../../de/d59/class_car_script.html">CarScript</a> car = <a class="code hl_class" href="../../de/d59/class_car_script.html">CarScript</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetParent());</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <span class="keywordflow">if</span> (car)</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> selections = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a>();</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>            <span class="keywordtype">string</span> animSource = <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span> </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            <a class="code hl_class" href="../../db/db6/class_car_door.html">CarDoor</a> carDoor = <a class="code hl_class" href="../../db/db6/class_car_door.html">CarDoor</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject());</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            <span class="keywordflow">if</span> (carDoor)</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            {</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>                carDoor.GetActionComponentNameList(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetComponentIndex(), selections);</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>                <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; selections.Count(); i++)</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>                {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>                    animSource = car.<a class="code hl_function" href="../../de/d59/class_car_script.html#a6bf22c124c476b773765763750a8b30f">GetAnimSourceFromSelection</a>(selections[i]);</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>                    <span class="keywordflow">if</span> (animSource != <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>                    {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>                        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>                    }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>                }</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            }</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            <span class="keywordtype">float</span> phase = 0.0;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d3/de4/class_action_car_doors_outside.html#a779eb80f60dbca8df867c7cbe51b9c34">m_IsOpening</a>)</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            {</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>                phase = 1.0;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>            car.ForceUpdateLightsStart();</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>            car.SetAnimationPhase(animSource, phase);</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        }</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../d3/de4/class_action_car_doors_outside.html#ad485613108a0e8de1a67157f7c61b72b">   97</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/de4/class_action_car_doors_outside.html#ad485613108a0e8de1a67157f7c61b72b">OnEndServer</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <a class="code hl_class" href="../../de/d59/class_car_script.html">CarScript</a> car = <a class="code hl_class" href="../../de/d59/class_car_script.html">CarScript</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetParent());</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <span class="keywordflow">if</span> (car)</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        {</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>            car.ForceUpdateLightsEnd();</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        }</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    }</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno"><a class="line" href="../../d3/de4/class_action_car_doors_outside.html#a2a3f13c0ad8765fb9a6a1a8e37c40c2e">  106</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/de4/class_action_car_doors_outside.html#a2a3f13c0ad8765fb9a6a1a8e37c40c2e">FillCommandUIDPerCrewIdx</a>(<span class="keywordtype">int</span> crewIdx0, <span class="keywordtype">int</span> crewIdx1, <span class="keywordtype">int</span> crewIdx2, <span class="keywordtype">int</span> crewIdx3)</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    {</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <a class="code hl_variable" href="../../d3/de4/class_action_car_doors_outside.html#aa74988263a93581ce5fbb37cecbe6285">m_CommandUIDPerCrewIdx</a>[0] = crewIdx0;</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <a class="code hl_variable" href="../../d3/de4/class_action_car_doors_outside.html#aa74988263a93581ce5fbb37cecbe6285">m_CommandUIDPerCrewIdx</a>[1] = crewIdx1;</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <a class="code hl_variable" href="../../d3/de4/class_action_car_doors_outside.html#aa74988263a93581ce5fbb37cecbe6285">m_CommandUIDPerCrewIdx</a>[2] = crewIdx2;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <a class="code hl_variable" href="../../d3/de4/class_action_car_doors_outside.html#aa74988263a93581ce5fbb37cecbe6285">m_CommandUIDPerCrewIdx</a>[3] = crewIdx3;</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    }</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    </div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno"><a class="line" href="../../d3/de4/class_action_car_doors_outside.html#a6bf0e2f6a84e609ce4f2ab5e45008bf7">  114</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/de4/class_action_car_doors_outside.html#a6bf0e2f6a84e609ce4f2ab5e45008bf7">FillCommandUIDPerCrewIdx</a>(<span class="keywordtype">int</span> evenCrewIdx0, <span class="keywordtype">int</span> unevenCrewIdx1)</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    {</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        <a class="code hl_function" href="../../d3/de4/class_action_car_doors_outside.html#a2a3f13c0ad8765fb9a6a1a8e37c40c2e">FillCommandUIDPerCrewIdx</a>(evenCrewIdx0, unevenCrewIdx1, evenCrewIdx0, unevenCrewIdx1);</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    }</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>};</div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_ab560637b7ea002abf6ec19ec9ec6b3c9"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#ab560637b7ea002abf6ec19ec9ec6b3c9">IsInReach</a></div><div class="ttdeci">protected bool IsInReach(PlayerBase player, ActionTarget target, float maxDistance=1.0)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l01006">ActionBase.c:1006</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adc0813e96c27638edc8c57cfbaa30c25"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a></div><div class="ttdeci">protected int m_StanceMask</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00053">ActionBase.c:53</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="aclass_action_car_doors_outside_html"><div class="ttname"><a href="../../d3/de4/class_action_car_doors_outside.html">ActionCarDoorsOutside</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da4/_action_car_doors_outside_8c_source.html#l00001">ActionCarDoorsOutside.c:2</a></div></div>
<div class="ttc" id="aclass_action_car_doors_outside_html_a2a3f13c0ad8765fb9a6a1a8e37c40c2e"><div class="ttname"><a href="../../d3/de4/class_action_car_doors_outside.html#a2a3f13c0ad8765fb9a6a1a8e37c40c2e">ActionCarDoorsOutside::FillCommandUIDPerCrewIdx</a></div><div class="ttdeci">protected void FillCommandUIDPerCrewIdx(int crewIdx0, int crewIdx1, int crewIdx2, int crewIdx3)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da4/_action_car_doors_outside_8c_source.html#l00106">ActionCarDoorsOutside.c:106</a></div></div>
<div class="ttc" id="aclass_action_car_doors_outside_html_a6bf0e2f6a84e609ce4f2ab5e45008bf7"><div class="ttname"><a href="../../d3/de4/class_action_car_doors_outside.html#a6bf0e2f6a84e609ce4f2ab5e45008bf7">ActionCarDoorsOutside::FillCommandUIDPerCrewIdx</a></div><div class="ttdeci">protected void FillCommandUIDPerCrewIdx(int evenCrewIdx0, int unevenCrewIdx1)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da4/_action_car_doors_outside_8c_source.html#l00114">ActionCarDoorsOutside.c:114</a></div></div>
<div class="ttc" id="aclass_action_car_doors_outside_html_a779eb80f60dbca8df867c7cbe51b9c34"><div class="ttname"><a href="../../d3/de4/class_action_car_doors_outside.html#a779eb80f60dbca8df867c7cbe51b9c34">ActionCarDoorsOutside::m_IsOpening</a></div><div class="ttdeci">protected bool m_IsOpening</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da4/_action_car_doors_outside_8c_source.html#l00004">ActionCarDoorsOutside.c:4</a></div></div>
<div class="ttc" id="aclass_action_car_doors_outside_html_a946cf3da2b1f862a7a1fe6c87be46dcb"><div class="ttname"><a href="../../d3/de4/class_action_car_doors_outside.html#a946cf3da2b1f862a7a1fe6c87be46dcb">ActionCarDoorsOutside::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da4/_action_car_doors_outside_8c_source.html#l00012">ActionCarDoorsOutside.c:12</a></div></div>
<div class="ttc" id="aclass_action_car_doors_outside_html_aa74988263a93581ce5fbb37cecbe6285"><div class="ttname"><a href="../../d3/de4/class_action_car_doors_outside.html#aa74988263a93581ce5fbb37cecbe6285">ActionCarDoorsOutside::m_CommandUIDPerCrewIdx</a></div><div class="ttdeci">protected int m_CommandUIDPerCrewIdx[4]</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da4/_action_car_doors_outside_8c_source.html#l00003">ActionCarDoorsOutside.c:3</a></div></div>
<div class="ttc" id="aclass_action_car_doors_outside_html_aa95a134c0a093cd66cdc7576dd834eaa"><div class="ttname"><a href="../../d3/de4/class_action_car_doors_outside.html#aa95a134c0a093cd66cdc7576dd834eaa">ActionCarDoorsOutside::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da4/_action_car_doors_outside_8c_source.html#l00018">ActionCarDoorsOutside.c:18</a></div></div>
<div class="ttc" id="aclass_action_car_doors_outside_html_aaaeaa8d298b659e751cd6bfeb10b61d2"><div class="ttname"><a href="../../d3/de4/class_action_car_doors_outside.html#aaaeaa8d298b659e751cd6bfeb10b61d2">ActionCarDoorsOutside::ActionCarDoorsOutside</a></div><div class="ttdeci">void ActionCarDoorsOutside()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da4/_action_car_doors_outside_8c_source.html#l00006">ActionCarDoorsOutside.c:6</a></div></div>
<div class="ttc" id="aclass_action_car_doors_outside_html_ab32a063c2efdf19973dd4a6b8fad1280"><div class="ttname"><a href="../../d3/de4/class_action_car_doors_outside.html#ab32a063c2efdf19973dd4a6b8fad1280">ActionCarDoorsOutside::OnStartServer</a></div><div class="ttdeci">override void OnStartServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da4/_action_car_doors_outside_8c_source.html#l00064">ActionCarDoorsOutside.c:64</a></div></div>
<div class="ttc" id="aclass_action_car_doors_outside_html_ad485613108a0e8de1a67157f7c61b72b"><div class="ttname"><a href="../../d3/de4/class_action_car_doors_outside.html#ad485613108a0e8de1a67157f7c61b72b">ActionCarDoorsOutside::OnEndServer</a></div><div class="ttdeci">override void OnEndServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da4/_action_car_doors_outside_8c_source.html#l00097">ActionCarDoorsOutside.c:97</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a57bdca781ae4f1cfcb6574b0ace5d74d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">ActionData::m_Target</a></div><div class="ttdeci">ref ActionTarget m_Target</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00032">ActionBase.c:32</a></div></div>
<div class="ttc" id="aclass_action_interact_base_html"><div class="ttname"><a href="../../d0/d5b/class_action_interact_base.html">ActionInteractBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d90/_action_interact_base_8c_source.html#l00054">ActionInteractBase.c:55</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a00487cccdebc5bf70af1b0c8d9ed3660"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">AnimatedActionBase::m_CommandUID</a></div><div class="ttdeci">protected int m_CommandUID</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00125">AnimatedActionBase.c:125</a></div></div>
<div class="ttc" id="aclass_c_c_i_none_html"><div class="ttname"><a href="../../d4/d7c/class_c_c_i_none.html">CCINone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_c_c_i_none_8c_source.html#l00001">CCINone.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_none_html"><div class="ttname"><a href="../../d2/dbf/class_c_c_t_none.html">CCTNone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d1b/_c_c_t_none_8c_source.html#l00001">CCTNone.c:2</a></div></div>
<div class="ttc" id="aclass_car_door_html"><div class="ttname"><a href="../../db/db6/class_car_door.html">CarDoor</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00457">InventoryItem.c:457</a></div></div>
<div class="ttc" id="aclass_car_script_html"><div class="ttname"><a href="../../de/d59/class_car_script.html">CarScript</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d47/_civilian_sedan_8c_source.html#l00001">CivilianSedan.c:2</a></div></div>
<div class="ttc" id="aclass_car_script_html_a3fac4dd673765f73f587d0b0557fc84f"><div class="ttname"><a href="../../de/d59/class_car_script.html#a3fac4dd673765f73f587d0b0557fc84f">CarScript::GetSeatIndexFromDoor</a></div><div class="ttdeci">override int GetSeatIndexFromDoor(string pDoorSelection)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d62/_offroad_hatchback_8c_source.html#l00468">OffroadHatchback.c:468</a></div></div>
<div class="ttc" id="aclass_car_script_html_a6bf22c124c476b773765763750a8b30f"><div class="ttname"><a href="../../de/d59/class_car_script.html#a6bf22c124c476b773765763750a8b30f">CarScript::GetAnimSourceFromSelection</a></div><div class="ttdeci">override string GetAnimSourceFromSelection(string selection)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d47/_civilian_sedan_8c_source.html#l00330">CivilianSedan.c:330</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00691">InventoryItem.c:692</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00101">ActionConstants.c:102</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html_aef260d89bc0f791bc7c313cae73f8450"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">UAMaxDistances::DEFAULT</a></div><div class="ttdeci">const float DEFAULT</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00104">ActionConstants.c:104</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_db22a6aaa1333ce39e022321034f28d1.html">Interact</a></li><li class="navelem"><a class="el" href="../../dir_14602dcc2d0a643325d2f7d3aff9a7f4.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../d1/da4/_action_car_doors_outside_8c.html">ActionCarDoorsOutside.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
